import Vue from 'vue'
import Vuex from 'vuex'
import coop from './modules/coop'
import user from './modules/user'
import question from './modules/question'
import coupon from './modules/coupon';
import getters from './getters'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    coop,
    user,
    question,
    coupon
  },
  getters
})

export default store
